## Class Auth_OpenID_NamespaceMap

Description

Maintains a bijective map between namespace uris and aliases.

Located in /Auth/OpenID/Message.php (line 276)

Method Summary
Auth_OpenID_NamespaceMap Auth_OpenID_NamespaceMap ()
void add ( $namespace_uri)
void addAlias ( $namespace_uri, $desired_alias, [ $implicit = false])
void contains ( $namespace_uri)
void getAlias ( $namespace_uri)
void getNamespaceURI ( $alias)
void isDefined ( $namespace_uri)
void isImplicit ( $namespace_uri)
void iterAliases ()
void iteritems ()
void iterNamespaceURIs ()
Methods
Constructor Auth_OpenID_NamespaceMap (line 277)
Auth_OpenID_NamespaceMap Auth_OpenID_NamespaceMap ()
add (line 371)
void add ( $namespace_uri)

- $namespace_uri

addAlias (line 316)
void addAlias ( $namespace_uri, $desired_alias, [ $implicit = false])

- $namespace_uri
- $desired_alias
- $implicit

contains (line 398)
void contains ( $namespace_uri)

- $namespace_uri

getAlias (line 284)
void getAlias ( $namespace_uri)

- $namespace_uri

getNamespaceURI (line 289)
void getNamespaceURI ( $alias)

- $alias

isDefined (line 403)
void isDefined ( $namespace_uri)

- $namespace_uri

isImplicit (line 311)
void isImplicit ( $namespace_uri)

- $namespace_uri

iterAliases (line 300)
void iterAliases ()
iteritems (line 306)
void iteritems ()
iterNamespaceURIs (line 294)
void iterNamespaceURIs ()

Documentation generated on Tue, 21 Apr 2009 11:31:31 -0700 by phpDocumentor 1.3.2